.flex-container {
  display: flex;
  flex-direction: column;
}

.flex-container div {
  width: 100px;
  height: 100px;

  font-size: 30px;
  color: #fff;

  padding: 10px 20px;
  box-sizing: border-box;
}


.sun {
  width: 200px;
  height: 200px;
  background-color: yellow;
  border-radius: 50%;
  position: relative;
  transition: transform 0.5s ease;
}

.sun:hover {
  background-color: orangered;
  transform: rotate(360deg);
}

.eye {
  width: 20px;
  height: 20px;
  background-color: black;
  border-radius: 50%;
  position: absolute;
}

.eye.left {
  top: 50%;
  left: 25%;
  transform: translate(-50%, -50%);
}

.eye.right {
  top: 50%;
  right: 25%;
  transform: translate(50%, -50%);
}

.eye.center {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.mouth {
  width: 30px;
  height: 2px;
  background-color: black;
  position: absolute;
  top: 60%;
  left: 50%;
  transform: translateX(-50%);
}

@keyframes moveSun {
  0% {
    transform: scale(1) translateX(0) skew(0deg);
  }
  50% {
    transform: scale(1.2) translateX(100px) skew(20deg);
  }
  100% {
    transform: scale(1) translateX(0) skew(0deg);
  }
}


.sun {
  animation: moveSun 3s infinite;
}